(function($){
var umylistapi = window.umylistapi = {
	ajax:function(url,data,dataType,success,error,cache){
		if(typeof cache!="boolean")cache=false;
		if(typeof error!="function")error=new Function;
		if(typeof success!="function")success=new Function;
		return $.ajax({
			url:url,
			type:"get",
			data:data,
			dataType:dataType,
			cache:cache,
			success:success,
			error:error
		});
	},
	get_list:function(success,error){
		return this.ajax("/umylist/list",null,"xml",success,error);
	},
	get_mlist:function(v,success,error){
		return this.ajax("/umylist/list",{"v":v},"xml",success,error);
	},
	get_ajax:function(success,error){
		return this.ajax("/umylist/ajax",null,"text",success,error);
	},
	get_mylistajax:function(success,error){
		return this.ajax("/umylist/mylist/ajax",null,"text",success,error);
	},
	get_json:function(success,error){
		return this.ajax("/umylist/json",null,"json",success,error);
	},
	get_mjson:function(success,error){
		return this.ajax("/umylist/mylist/json",null,"json",success,error);
	},
	get_cachelist:function(success,error){
		return this.ajax("/cache/cachelist.json","","json",success,error,true);
	},
	add:function(mylist,mid,tid,success,error){
		return this.ajax("/umylist/add",{"mylist":mylist,"mid":mid,"tid":tid},"json",success,error);
	},
	madd:function(name,success,error){
		return this.ajax("/umylist/madd",{"name":name},"json",success,error);
	},
	remove:function(mylist,mid,tid,success,error){
		return this.ajax("/umylist/remove",{"mylist":mylist,"mid":mid,"tid":tid},"json",success,error);
	},
	mremove:function(mylist,success,error){
		return this.ajax("/umylist/mremove",{"mylist":mylist},"json",success,error);
	},
	rename:function(mylist,name,success,error){
		return this.ajax("/umylist/rename",{"mylist":mylist,"name":name},"json",success,error);
	},
	copy:function(id,from,to,success,error){
		return this.ajax("/umylist/copy",{"id":id,"from":from,"to":to},"json",success,error);
	},
	move:function(id,from,to,success,error){
		return this.ajax("/umylist/move",{"id":id,"from":from,"to":to},"json",success,error);
	},
	mylistAdd:function(mylist,name,success,error){
		return this.ajax("/umylist/mylist/add",{"mylist":mylist,"name":name},"json",success,error);
	},
	mylistRename:function(mylist,name,success,error){
		return this.ajax("/umylist/mylist/rename",{"mylist":mylist,"name":name},"json",success,error);
	},
	mylistRemove:function(mylist,success,error){
		return this.ajax("/umylist/mylist/remove",{"mylist":mylist},"json",success,error);
	},
	getThumbinfo:function(id,success,error){
		return this.ajax("/umylist_ext.nicovideo.jp/api/getthumbinfo",{"v":id},"xml",success,error);
	},
	getVideoArray:function(idlist,success,error){
		return this.ajax("/umylist_i.nicovideo.jp/v3/video.array",{"v":idlist},"xml",success,error);
	},
	getDeflist:function(success,error){
		return this.ajax("/umylist_flapi.nicovideo.jp/api/deflist/list",null,"json",success,error);
	},
	getMylistgroup:function(success,error){
		return this.ajax("/umylist_flapi.nicovideo.jp/api/mylistgroup/list",null,"json",success,error);
	},
	getPlaylist:function(id,success,error){
		return this.ajax("/umylist_flapi.nicovideo.jp/api/getplaylist/mylist/"+id,null,"json",success,error);
	}
};
})(jQuery);